/***************************************************************************/
/*    Uebung 15                                                            */
/*                                                                         */
/*    Einfacher Trigger                                                    */
/*                                                                         */
/*    Version 2  fr Oracle 11g und SQL Developer 2.1                      */
/*                                                                         */
/***************************************************************************/
drop table Art_Proto;

create table Art_Proto 
(
USER_NAME  	VARCHAR(20),
DATUM_ZEIT 	VARCHAR(20),
ANZ_ART    	NUMBER(3),
ART_ANR	CHAR(2)
);

CREATE OR REPLACE TRIGGER Neue_Artikel after insert on Artikel
DECLARE
   anzahl   NUMBER(3);
   maximum  Artikel.ANR%TYPE;  

BEGIN
   select COUNT(*) into anzahl from Artikel;
   select Max(ANR) into maximum from Artikel;

   insert into Art_Proto values (USER, TO_CHAR(SYSDATE,'DD.MM.YYYY  HH24:MI:SS'),anzahl,maximum); 

END;
/
insert into Artikel values('T4','Tisch',80,80,'Holz',NULL);
select * from Art_Proto;
commit;