select  distinct ANR 
from    liefert.txt;

select LNR 
from   Lieferant.txt 
where  Status > 20;

select LNR 
from   Lieferant.txt 
where  Status > 20  and  Ort = 'Jena';

select   LNR, Status 
from     Lieferant.txt 
where    Ort = 'Jena' 
order by Status DESC;

Select Name,Lieferzeit 
from   liefert.txt liefert, Lieferant.txt Lieferant
where  liefert.LNR = Lieferant.LNR
and    ANR = 'T1'   
and    Ort = 'Jena'  
and    Lieferzeit <= 5;

select AVG(Status) as Mittelwert_Status 
from   Lieferant.txt;

select    Ort,AVG(Status) as Mittelwert_Status 
from      Lieferant.txt
group by  Ort;

select    Ort,AVG(Status) as Mittelwert_Status
from      Lieferant.txt
group by  Ort
having    Count(Status) > 1;

select AVG(Lieferzeit) as Mittelwert_Lieferzeit
from   liefert.txt liefert, Lieferant.txt Lieferant
where  liefert.LNR = Lieferant.LNR
and    Ort = 'Jena';

Select LNR, Name
from   Lieferant.txt
where  Name like '*e?';

Select LNR,Name
from   Lieferant.txt
where  Status = ( select MIN(Status)
                  from   Lieferant.txt);

select Name, Ort
from   Lieferant.txt
where  LNR  IN ( Select  LNR 
                 from    liefert.txt
                 where   ANR='T1') ;

select Name, Status
from   Lieferant.txt
where  LNR NOT IN ( Select  LNR 
                    from    liefert.txt
                    where   ANR='T1') ;

select Wochentag, Veranstaltung, Raum, Studentensets from STD_PLAN.csv
where Dozent = 'Cleef' and Studentensets like '*ET(BA)6.*'
