import java.sql.*;
/***************************************************************************/
/*    Uebung 21                                                            */
/*                                                                         */
/*    Beispielanwendung fr SQL-Zugriffe in java                           */
/*                                                                         */
/*    Version 3  fr eclipse_jdk                                           */
/*                                                                         */
/***************************************************************************/

public class loesung21 {

	public static void main(String[] args)
	{
		Connection         conn  = null;
		Statement          stmt  = null;
		PreparedStatement  pstmt1 = null;
		PreparedStatement  pstmt2 = null;
		ResultSet          res   = null; 
		int anz = 0;
		String lief_name;
		String lief_ort;
		
		String drop   = "drop table Lief_Liste";
		
		String create = "create table Lief_Liste (" +
		                 "Ort    VARCHAR2(20), " +  "Liste  VARCHAR2(250) NOT NULL)";
		
		String query  = "Select Name, ort from Lieferant order by Name";
		String update = "update Lief_Liste set Liste = Liste || ', ' || ? where Ort = ?";
		String insert = "insert into Lief_Liste values (?, ?)";

		try
		{
			DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
		    	conn = DriverManager.getConnection 
		       		("jdbc:oracle:thin:@gw3svr32.gw.net.fh-jena.de:1521:oracle11", "ss10etxyz", "geheim");
			System.out.println("Verbindung zur Oracle Datenbank ora10g hergestellt !");
			stmt = conn.createStatement();
		}
		catch (SQLException e)
		{
			System.out.println(e);
			return;
	    	}
		
		try
		{	
			stmt.execute(drop);
			System.out.println("Tabelle Lief_Liste entfernt !");
		}
		catch (SQLException e)
	    	{
			;
	    	}
				
		try
		{	stmt.execute(create);
			System.out.println("Tabelle Lief_Liste angelegt !");
			res = stmt.executeQuery(query);
			pstmt1 = conn.prepareStatement(update);
			pstmt2 = conn.prepareStatement(insert);
			
			while (res.next())
			{
				lief_name = res.getString(1);
				lief_ort  = res.getString(2);
				
			    pstmt1.setString(1,lief_name);
				pstmt1.setString(2,lief_ort);
				
				anz = pstmt1.executeUpdate();

				if(anz == 0)
				{
					pstmt2.setString(1,lief_ort);
					pstmt2.setString(2,lief_name);
					pstmt2.execute();
				}
			}
		}
		catch (SQLException e)
		{
			System.out.println(e);
		}
		
        		try
        		{
        			stmt.close();
        			conn.close();
        		}
        		catch (SQLException e)
        		{
		        	System.out.println(e);
        		}
        		return;
	}
}
