/***************************************************************************/
/*    Uebung 11                                                            */
/*                                                                         */
/*    Komplexe Abfragen                                                    */
/*                                                                         */
/*    Version 3  fr Oracle 11g, MySQL 5.1 und SQL Developer               */
/*                                                                         */
/***************************************************************************/
create or replace view Uebung11_1 as 
(
select ANR, Bezeichnung 
from   Artikel 
where  Laenge*Breite < (select Max(Laenge*Breite)/2 from Artikel)
);

create or replace view Uebung11_2 as 
(
select Name from Lieferant 
where  LNR IN (select LNR from liefert
               where  ANR IN (Select ANR from Artikel 
                              where Material = 'Metall'))
);

create or replace view Uebung11_3 as 
(
select liefert.LNR, Name  from Lieferant, liefert
where  Status = 20 and ANR='S2'
);

create or replace view Uebung11_4 as 
(
select distinct Bezeichnung from Artikel 
where ANR NOT IN  (Select ANR from liefert 
                   where LNR IN ( 1 , 9 ) )
);

create or replace view Uebung11_5 as 
(
select ANR, Lieferant.LNR   from Artikel, Lieferant
where  Material = 'Metall' 
  and  Ort      = 'Jena'  
)
order by LNR;

Select * from Uebung11_1;
Select * from Uebung11_2;
Select * from Uebung11_3;
Select * from Uebung11_4;
Select * from Uebung11_5;