/***************************************************************************/
/*    Uebung 17                                                            */
/*                                                                         */
/*    SQL-Zugriffe                                                         */
/*                                                                         */
/*    Version 2  fr Oracle 11g und SQL Developer 2.3                      */
/*                                                                         */
/***************************************************************************/
select ANR, Bezeichnung
from Artikel
where Material != 'Metall';

select COUNT(ANR) AS Anzahl
from Artikel
where Breite = 80 or Laenge = 80;

select COUNT(ANR) AS Anzahl
from Artikel;

select LNR, Count(ANR) AS Anzahl
from liefert
group by LNR;

select LNR, Name
from Lieferant natural join liefert
group by LNR,Name
having COUNT(ANR) = (select COUNT(ANR) from Artikel);

select LNR, Name
from Lieferant natural join (select COUNT(ANR) AS Anzahl
from Artikel) natural join (select LNR, Count(ANR) AS Anzahl
from liefert group by LNR);

select LNR from Lieferant where ORT = 'Jena'
union
select LNR
from liefert
group by LNR
having COUNT(ANR) = (select COUNT(ANR) from Artikel) 
order by LNR DESC;

select LNR, Name, COUNT(ANR) as Anzahl_Artikel
from Lieferant left outer join Artikel using(LNR) group by LNR, Name
order by LNR;

select L1.Name || ' fr ' || L2.Name Ersatzlieferant
from Lieferant L1 inner join Lieferant L2 using(Ort)
where   L1.LNR != L2.LNR;

select * from Vendor
MINUS 
select * from Lieferant;

select ANR, 'X' AS Artikel, 'X' AS Product
from Artikel
intersect
select ANR, 'X' AS Artikel, 'X' AS Product
from product
UNION
(select ANR, 'X' AS Artikel, ' ' AS Product
from Artikel
MINUS
select ANR, 'X' AS Artikel, ' ' AS Product
from product)
UNION
(select ANR, ' ' AS Artikel, 'X' AS Product
from Product
MINUS
select ANR, ' ' AS Artikel, 'X' AS Product
from Artikel);
ORDER BY ARTIKEL DESC, ANR ASC;

select ANR, 'X' Artikel, 'X' Product from Artikel inner join product using(ANR)
union
select Artikel.ANR, 'X' Artikel, ' ' Product from Artikel left outer join product on Artikel.ANR=product.ANR
where product.ANR is NULL
union
select product.ANR, ' ' Artikel, 'X' Product from Artikel right outer join product on Artikel.ANR=product.ANR
where Artikel.ANR is NULL
order by Artikel DESC, ANR ASC;